#
# Conditional build:
%bcond_without	static_libs	# disable static libraries
#
Summary:	Library with unicode character names list
Summary(pl.UTF-8):	Biblioteka z listą nazw znaków unicode
Name:		libuninameslist
Version:	20200313
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/fontforge/libuninameslist/releases
Source0:	https://github.com/fontforge/libuninameslist/releases/download/%{version}/%{name}-dist-%{version}.tar.gz
# Source0-md5:	0e43d668398edac51fe2b64c3dfd0cf9
URL:		http://libuninameslist.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library with unicode character names list.

%description -l pl.UTF-8
Biblioteka z listą nazw znaków unicode.

%package devel
Summary:	Header files for libuninameslist library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libuninameslist
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libuninameslist library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libuninameslist.

%package static
Summary:	Static libuninameslist library
Summary(pl.UTF-8):	Statyczna biblioteka libuninameslist
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libuninameslist library.

%description static -l pl.UTF-8
Statyczna biblioteka libuninameslist.

%prep
%setup -q

%build
%configure \
	--enable-frenchlib \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libuninameslist*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README README.md
%attr(755,root,root) %{_libdir}/libuninameslist.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libuninameslist.so.1
%attr(755,root,root) %{_libdir}/libuninameslist-fr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libuninameslist-fr.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libuninameslist.so
%attr(755,root,root) %{_libdir}/libuninameslist-fr.so
%{_includedir}/uninameslist.h
%{_includedir}/uninameslist-fr.h
%{_pkgconfigdir}/libuninameslist.pc
%{_mandir}/man3/libuninameslist.3*
%{_mandir}/man3/libuninameslist-fr.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libuninameslist.a
%{_libdir}/libuninameslist-fr.a
%endif
%changelog
* Wed Mar 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libuninameslist.git;a=log;h=master

* Wed Mar 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 56e4f20
- updated to 20200313 (Unicode 13)

* Wed Jun 20 2018 Jakub Bogusz <qboosh@pld-linux.org> decda15
- new Source URL, updated to 20170807 (note: new soname)
- dropped .la files

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> 75c4a81
- x32 rebuild
- release 2 (by relup.sh)

* Wed Oct 06 2010 Jakub Bogusz <qboosh@pld-linux.org> ddff26d
- updated to 20091231

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 50c36f9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 494ebf9
- converted to UTF-8

* Sat Sep 16 2006 Jakub Bogusz <qboosh@pld-linux.org> ce57dd6
- updated to 20060907

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> b7945c1
- unify sourceforge url

* Mon Oct 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 0ed7334
- bcond header

* Mon Sep 26 2005 djurban <djurban@pld-linux.org> da75f0a
- without static_libs bcond

* Sun Jul 24 2005 Jakub Bogusz <qboosh@pld-linux.org> b7807a1
- updated to 20050712

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> fa0306d
- updated to 040707

* Sat Jul 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 1d4eebb
- updated to 040701

* Sun Apr 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 3bfa83e
- update config.sub for amd64, strict internal deps, release 2

* Sat Aug 02 2003 Jakub Bogusz <qboosh@pld-linux.org> 01594de
- new

